Kérdés Nem tudok bővítményeket telepíteni

Több
2017 szept. 01 22:30 #1 Írta: boldez
boldez létrehozta a témát: Nem tudok bővítményeket telepíteni
Üdv!

Most telepítettem a 3.7.5-ös verziót. Sikerült is. De ha megpróbáltam bővítményeket telepíteni a következőt írja:

Warning

Warning: Failed to move file: /tmp/php6iW6QW to /var/www/vhosts/vargajogsi.hu/httpdocs/tmp/hu-HU_joomla_lang_full_3.7.5v1.zip

Error

Archive does not exist
Unable to find install package

A magyar nyelvi telepítővel és a gantry-val próbálkoztam.

A web telepítést sem engedi.

Nem tudom hogy számít-e de van gond a php verzióval is:

"Error

We have detected that your server is using PHP 5.4.45-0+deb7u9 which is obsolete and no longer receives official security updates by its developers. The Joomla! Project recommends upgrading your site to PHP 5.6 or later which will receive security updates at least until 2018-12-31. Please ask your host to make PHP 5.6 or a later version the default version for your site. If your host is already PHP 5.6 ready please enable PHP 5.6 on your site's root and 'administrator' directories – typically you can do this yourself through a tool in your hosting control panel, but it's best to ask your host if you are unsure."

Fontos lenne a gyors megoldás. Köszönöm.

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2017 szept. 02 07:12 #2 Írta: csezo
csezo válaszolt a témára: Nem tudok bővítményeket telepíteni
A 'Failed to move file: ' hibajelzés azt mutatja, hogy nem sikerült a tárhelyed tmp mappájába feltölteni a csomagot, amiből a telepítést végezné a joomla!
Ellenőrizd a mappa jogosultságát, hiszen minden telepítés így fog történni.
A PHP-t pedig állítsd át a 7-es verzióra. A joomla ugyan felkúszik erre, amit használsz, de szerintem már a Gantry-al is lesz problémád.
Ha a tárhelyed is a Forpsi -nál van, nem csak a domain regisztráció, akkor ha jól emlékszem, ott cPanel-en ezt Te magad tudod beállítani

Ha értékesnek találtad a hozzászólást, azt a "KÖSZÖNÖM" gombbal jelezheted.
A következő felhasználók mondtak köszönetet: boldez

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2017 szept. 02 14:16 #3 Írta: boldez
boldez válaszolt a témára: Nem tudok bővítményeket telepíteni
Köszönöm.

A jogosultság átállítása 777-re segített. De most állandóan állítgatnom kell az igénybe vett mappák és almappák jogosultságait?
Az eddigi joomla-s oldalaimnál ilyen nem volt. Ez ennek a verziónak a sajátja vagy én nem csinálok valamit jól?

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2017 szept. 03 07:51 #4 Írta: Balázs
Balázs válaszolt a témára: Nem tudok bővítményeket telepíteni
Semmiképpen sem jó, ha kézzel kell jogosultságok állítanod, itt mindenképp javasolt, hogy vedd fel a kapcsolatot a tárhely szolgáltatóddal a segítségért.

Ha bizalmas információt szeretnél közölni az adminokkal, akkor tedd az üzeneted tartalmát a [ confidential ][ /confidential ] címkék közé (szóközök nélkül).

Joomla! tanácsadás, oktatás, fejlesztés - joomlabs.hu

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2017 szept. 05 10:08 #5 Írta: boldez
boldez válaszolt a témára: Nem tudok bővítményeket telepíteni
Nos azt hiszem amatőr tárhelyszolgáltatót kaptam. :( Nem én választottam. C-panel lehetőséget nem kaptam.

A PHP verziót átállították végre, és megszűnt a jogosultság probléma de jönnek a következők:

1.

Ezt akkor írja amikor offline-re akarom állítani az oldalt, de nem sikerül:


"An error has occurred.
0 The file Cache Storage is not supported on this platform."

Ez szerver oldali probléma?

2.

Ez akkor amikor a Gantry-t telepíteném:

"Error

There was an error uploading this file to the server.
Maximum PHP file upload size is too small: This is set in php.ini in both upload_max_filesize and post_max_size settings of your PHP settings (located in php.ini and/or .htaccess file).
Unable to find install package"

Ezt jól értem hogy a szolgáltató tudná átírni?

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2017 szept. 05 12:25 - 2017 szept. 05 12:29 #6 Írta: csezo
csezo válaszolt a témára: Nem tudok bővítményeket telepíteni
Kezdjük a másodikkal:
Alapból a szolgáltatól 2M -os file-ok feltöltését engedélyezik. A PHP.ini file-ban lehet szabályozni ennek méretét.
Elméletileg ezt Te is át tudod írni - HA a tárhelyszolgáltatónál van lehetőség egyéni php.ini beállítására. Ha nincs, akkor ezt ők tudják beállítani. Ha van, akkor a gyökér könyvtárba ÉS az administrator könyvtárba IS készíts egy file-t, aminek neve php.ini a tartalma:

upload_max_filesize = 20M
post_max_size = 20M

legyen. Persze lehet máshová kell elhelyezni, szolgáltató függő.
Addig másold fel FTP-vel a csomagot a már említett tmp mappába, és onnan telepítsd

De javaslom válts szolgáltatót. Már most szívsz, mi lesz később??

Az elsőhöz kellene látni mit állítottál be gyorsítótárnak. De ha azt kikapcsolod, akkor a hiba el kell, hogy maradjon

Ha értékesnek találtad a hozzászólást, azt a "KÖSZÖNÖM" gombbal jelezheted.
Utolsó szerkesztés: 2017 szept. 05 12:29 Írta: csezo.
A következő felhasználók mondtak köszönetet: boldez

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2017 szept. 05 16:21 #7 Írta: boldez
boldez válaszolt a témára: Nem tudok bővítményeket telepíteni
Köszönöm szépen a segítségeket.
Végre eljutottam a tárhelyszolgáltatóval a problémák valódi gyökeréhez. Kinyögte végre hogy nem preferálja a joomla-t ill. retteg a szervere feltörésétől és ezért nem aggódik érte hogy a szigorú biztonsági tiltások miatt szívok a joomla-val. Kerülgetnem kell a tiltásokat, állítgatnom kell a jogosultságokat orrvérzésig ha joomlazom nála.

Kezdhette volna evvel mondjuk, hogy ne boruljak ki, de hát az ez van. Érdekes madarak az informatikusok.

Tehát a joomla használata sztornó.

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2017 szept. 06 09:36 #8 Írta: freepetya
freepetya válaszolt a témára: Nem tudok bővítményeket telepíteni
Érdekes hozzáállás a szolgáltató részéről. Inkább a tárhelyet sztornóznám.

Jelentkezz be, hogy te is részt vehess beszélgetésben!

  • kovacshazi
  • kovacshazi profilkép
  • Nem elérhető
  • Joomla mérnök
  • Joomla mérnök
  • Mindent lehet, csak akarni kell
Több
2017 szept. 06 14:05 #9 Írta: kovacshazi
kovacshazi válaszolt a témára: Nem tudok bővítményeket telepíteni
Egyetértek a tárhely sztornóval.
Használhatsz más CMS-t, de a szervergazda valószínűleg ugyanúgy retteg azoktól is, így a végeredmény megint csak az állítgatás.

Segítség Joomla és VirtueMart webáruház készítéséhet, problémák megoldásában
www.webprogramok.hu

Joomladay2013 - Budapest, Hungary
www.joomladay.hu

Jelentkezz be, hogy te is részt vehess beszélgetésben!